/// <reference types="node" />
import { Context } from '@midwayjs/koa';
import { MagicApi } from '../magic';
export declare class MagicEditorController {
    magicApi: MagicApi;
    ctx: Context;
    private magicConfig;
    /**
     * 跳转编辑器路径
     */
    magicEditor(): Promise<void>;
    /**
     * 配置js
     */
    configJs(): Promise<Buffer>;
    /**
     * 版本号
     */
    version(): Promise<{
        version: any;
    }>;
    /**
     * swagger定义
     */
    swaggerSpec(): Promise<object>;
    /**
     * d.ts类型路径
     */
    types(): Promise<string[]>;
    /**
     * 获取d.ts文件
     */
    typeFile(): Promise<Buffer>;
}
